import{s as ee,n as te,o as ae}from"../chunks/scheduler.d6170356.js";import{S as se,i as ie,g as l,s as i,r as B,A as ne,h as o,f as a,c as n,j as W,u as I,x as _,k as X,y as le,a as s,v as q,d as z,t as J,w as F}from"../chunks/index.fcd4cc08.js";import{H as N,g as oe}from"../chunks/Heading.bb9bff2c.js";import{C as re}from"../chunks/CodeBlock.7b16bdef.js";function fe(R){let r,C,T,x,f,y,d,U=`The Dataset Viewer supports many <a href="./datasets-adding#file-formats">data files formats</a>, from text to tabular and from image to audio formats.
It also separates the train/validation/test splits based on file and folder names.`,M,p,Y='To configure the Dataset Viewer for your dataset, first make sure your dataset is in a <a href="./datasets-adding#files-formats">supported data format</a>.',L,m,P,u,G='In the Dataset Viewer you can view the <a href="https://en.wikipedia.org/wiki/Training,_validation,_and_test_data_sets" rel="nofollow">train/validation/test</a> splits of datasets, and sometimes additionally choose between multiple subsets (e.g. one per language).',H,h,Z=`To define those dropdowns, you can name the data files or their folder after their split names (train/validation/test).
It is also possible to customize your splits manually using YAML.`,k,c,K='For more information, feel free to check out the documentation on <a href="./datasets-data-files-configuration">Data files Configuration</a>.',D,w,j,v,O="The dataset viewer can be disabled. To do this, add a YAML section to the dataset’s <code>README.md</code> file (create one if it does not already exist) and add a <code>viewer</code> property with the value <code>false</code>.",E,$,V,g,Q="Note that the viewer is always disabled on the private datasets.",A,b,S;return f=new N({props:{title:"Configure the Dataset Viewer",local:"configure-the-dataset-viewer",headingTag:"h1"}}),m=new N({props:{title:"Configure dropdowns for splits or subsets",local:"configure-dropdowns-for-splits-or-subsets",headingTag:"h2"}}),w=new N({props:{title:"Disable the viewer",local:"disable-the-viewer",headingTag:"h2"}}),$=new re({props:{code:"LS0tJTBBdmlld2VyJTNBJTIwZmFsc2UlMEEtLS0=",highlighted:`<span class="hljs-meta">---</span>
<span class="hljs-attr">viewer:</span> <span class="hljs-literal">false</span>
<span class="hljs-meta">---</span>`,wrap:!1}}),{c(){r=l("meta"),C=i(),T=l("p"),x=i(),B(f.$$.fragment),y=i(),d=l("p"),d.innerHTML=U,M=i(),p=l("p"),p.innerHTML=Y,L=i(),B(m.$$.fragment),P=i(),u=l("p"),u.innerHTML=G,H=i(),h=l("p"),h.textContent=Z,k=i(),c=l("p"),c.innerHTML=K,D=i(),B(w.$$.fragment),j=i(),v=l("p"),v.innerHTML=O,E=i(),B($.$$.fragment),V=i(),g=l("p"),g.textContent=Q,A=i(),b=l("p"),this.h()},l(e){const t=ne("svelte-u9bgzb",document.head);r=o(t,"META",{name:!0,content:!0}),t.forEach(a),C=n(e),T=o(e,"P",{}),W(T).forEach(a),x=n(e),I(f.$$.fragment,e),y=n(e),d=o(e,"P",{"data-svelte-h":!0}),_(d)!=="svelte-1v4t8a2"&&(d.innerHTML=U),M=n(e),p=o(e,"P",{"data-svelte-h":!0}),_(p)!=="svelte-sq2zkj"&&(p.innerHTML=Y),L=n(e),I(m.$$.fragment,e),P=n(e),u=o(e,"P",{"data-svelte-h":!0}),_(u)!=="svelte-1bgfkre"&&(u.innerHTML=G),H=n(e),h=o(e,"P",{"data-svelte-h":!0}),_(h)!=="svelte-j8m9b3"&&(h.textContent=Z),k=n(e),c=o(e,"P",{"data-svelte-h":!0}),_(c)!=="svelte-1blkqn3"&&(c.innerHTML=K),D=n(e),I(w.$$.fragment,e),j=n(e),v=o(e,"P",{"data-svelte-h":!0}),_(v)!=="svelte-17ntj7v"&&(v.innerHTML=O),E=n(e),I($.$$.fragment,e),V=n(e),g=o(e,"P",{"data-svelte-h":!0}),_(g)!=="svelte-1lm1t0f"&&(g.textContent=Q),A=n(e),b=o(e,"P",{}),W(b).forEach(a),this.h()},h(){X(r,"name","hf:doc:metadata"),X(r,"content",de)},m(e,t){le(document.head,r),s(e,C,t),s(e,T,t),s(e,x,t),q(f,e,t),s(e,y,t),s(e,d,t),s(e,M,t),s(e,p,t),s(e,L,t),q(m,e,t),s(e,P,t),s(e,u,t),s(e,H,t),s(e,h,t),s(e,k,t),s(e,c,t),s(e,D,t),q(w,e,t),s(e,j,t),s(e,v,t),s(e,E,t),q($,e,t),s(e,V,t),s(e,g,t),s(e,A,t),s(e,b,t),S=!0},p:te,i(e){S||(z(f.$$.fragment,e),z(m.$$.fragment,e),z(w.$$.fragment,e),z($.$$.fragment,e),S=!0)},o(e){J(f.$$.fragment,e),J(m.$$.fragment,e),J(w.$$.fragment,e),J($.$$.fragment,e),S=!1},d(e){e&&(a(C),a(T),a(x),a(y),a(d),a(M),a(p),a(L),a(P),a(u),a(H),a(h),a(k),a(c),a(D),a(j),a(v),a(E),a(V),a(g),a(A),a(b)),a(r),F(f,e),F(m,e),F(w,e),F($,e)}}}const de='{"title":"Configure the Dataset Viewer","local":"configure-the-dataset-viewer","sections":[{"title":"Configure dropdowns for splits or subsets","local":"configure-dropdowns-for-splits-or-subsets","sections":[],"depth":2},{"title":"Disable the viewer","local":"disable-the-viewer","sections":[],"depth":2}],"depth":1}';function pe(R){return ae(()=>{new URLSearchParams(window.location.search).get("fw"),window.hfDocGoto=oe}),[]}class we extends se{constructor(r){super(),ie(this,r,pe,fe,ee,{})}}export{we as component};
