import{s as de,n as ge,o as we}from"../chunks/scheduler.d6170356.js";import{S as $e,i as ye,g as o,s as a,r as L,A as Ie,h as s,f as n,c as r,j as he,u as A,x as l,k as ue,y as Pe,a as i,v as M,d as x,t as C,w as k}from"../chunks/index.fcd4cc08.js";import{H as q,g as ve}from"../chunks/Heading.bb9bff2c.js";function Te(ne){let f,E,S,W,c,F,p,ie='Please refer to <a href="https://huggingface.co/docs/api-inference" rel="nofollow">Inference API Documentation</a> for detailed information.',D,m,U,h,ae='For 🤗 Transformers models, <a href="https://huggingface.co/docs/transformers/main_classes/pipelines" rel="nofollow">Pipelines</a> power the API.',j,u,re="On top of <code>Pipelines</code> and depending on the model type, there are several production optimizations like:",N,d,oe='<li>compiling models to optimized intermediary representations (e.g. <a href="https://medium.com/microsoftazure/accelerate-your-nlp-pipelines-using-hugging-face-transformers-and-onnx-runtime-2443578f4333" rel="nofollow">ONNX</a>),</li> <li>maintaining a Least Recently Used cache, ensuring that the most popular models are always loaded,</li> <li>scaling the underlying compute infrastructure on the fly depending on the load constraints.</li>',O,g,se='For models from <a href="./models-libraries">other libraries</a>, the API uses <a href="https://www.starlette.io" rel="nofollow">Starlette</a> and runs in <a href="https://github.com/huggingface/api-inference-community/tree/main/docker_images" rel="nofollow">Docker containers</a>. Each library defines the implementation of <a href="https://github.com/huggingface/api-inference-community/tree/main/docker_images/sentence_transformers/app/pipelines" rel="nofollow">different pipelines</a>.',R,w,Y,$,le="Specify <code>inference: false</code> in your model card’s metadata.",G,y,X,I,fe=`For some tasks, there might not be support in the inference API, and, hence, there is no widget.
For all libraries (except 🤗 Transformers), there is a <a href="https://github.com/huggingface/hub-docs/blob/main/js/src/lib/interfaces/LibrariesToTasks.ts" rel="nofollow">mapping</a> of library to supported tasks in the API. When a model repository has a task that is not supported by the repository library, the repository has <code>inference: false</code> by default.`,B,P,J,v,ce="If you are interested in accelerated inference, higher volumes of requests, or an SLA, please contact us at <code>api-enterprise at huggingface.co</code>.",K,T,Q,_,pe='You can head to the <a href="https://api-inference.huggingface.co/dashboard/" rel="nofollow">Inference API dashboard</a>. Learn more about it in the <a href="https://huggingface.co/docs/api-inference/usage" rel="nofollow">Inference API documentation</a>.',V,b,Z,H,me='Yes, the <code>huggingface_hub</code> library has a client wrapper documented <a href="https://huggingface.co/docs/huggingface_hub/how-to-inference" rel="nofollow">here</a>.',ee,z,te;return c=new q({props:{title:"Inference API",local:"inference-api",headingTag:"h1"}}),m=new q({props:{title:"What technology do you use to power the inference API?",local:"what-technology-do-you-use-to-power-the-inference-api",headingTag:"h2"}}),w=new q({props:{title:"How can I turn off the inference API for my model?",local:"how-can-i-turn-off-the-inference-api-for-my-model",headingTag:"h2"}}),y=new q({props:{title:"Why don’t I see an inference widget or why can’t I use the inference API?",local:"why-dont-i-see-an-inference-widget-or-why-cant-i-use-the-inference-api",headingTag:"h2"}}),P=new q({props:{title:"Can I send large volumes of requests? Can I get accelerated APIs?",local:"can-i-send-large-volumes-of-requests-can-i-get-accelerated-apis",headingTag:"h2"}}),T=new q({props:{title:"How can I see my usage?",local:"how-can-i-see-my-usage",headingTag:"h2"}}),b=new q({props:{title:"Is there programmatic access to the Inference API?",local:"is-there-programmatic-access-to-the-inference-api",headingTag:"h2"}}),{c(){f=o("meta"),E=a(),S=o("p"),W=a(),L(c.$$.fragment),F=a(),p=o("p"),p.innerHTML=ie,D=a(),L(m.$$.fragment),U=a(),h=o("p"),h.innerHTML=ae,j=a(),u=o("p"),u.innerHTML=re,N=a(),d=o("ul"),d.innerHTML=oe,O=a(),g=o("p"),g.innerHTML=se,R=a(),L(w.$$.fragment),Y=a(),$=o("p"),$.innerHTML=le,G=a(),L(y.$$.fragment),X=a(),I=o("p"),I.innerHTML=fe,B=a(),L(P.$$.fragment),J=a(),v=o("p"),v.innerHTML=ce,K=a(),L(T.$$.fragment),Q=a(),_=o("p"),_.innerHTML=pe,V=a(),L(b.$$.fragment),Z=a(),H=o("p"),H.innerHTML=me,ee=a(),z=o("p"),this.h()},l(e){const t=Ie("svelte-u9bgzb",document.head);f=s(t,"META",{name:!0,content:!0}),t.forEach(n),E=r(e),S=s(e,"P",{}),he(S).forEach(n),W=r(e),A(c.$$.fragment,e),F=r(e),p=s(e,"P",{"data-svelte-h":!0}),l(p)!=="svelte-gvdnyo"&&(p.innerHTML=ie),D=r(e),A(m.$$.fragment,e),U=r(e),h=s(e,"P",{"data-svelte-h":!0}),l(h)!=="svelte-2iniqr"&&(h.innerHTML=ae),j=r(e),u=s(e,"P",{"data-svelte-h":!0}),l(u)!=="svelte-1lee1s9"&&(u.innerHTML=re),N=r(e),d=s(e,"UL",{"data-svelte-h":!0}),l(d)!=="svelte-1fzm9iw"&&(d.innerHTML=oe),O=r(e),g=s(e,"P",{"data-svelte-h":!0}),l(g)!=="svelte-hv7bvp"&&(g.innerHTML=se),R=r(e),A(w.$$.fragment,e),Y=r(e),$=s(e,"P",{"data-svelte-h":!0}),l($)!=="svelte-1o36w5w"&&($.innerHTML=le),G=r(e),A(y.$$.fragment,e),X=r(e),I=s(e,"P",{"data-svelte-h":!0}),l(I)!=="svelte-131peg3"&&(I.innerHTML=fe),B=r(e),A(P.$$.fragment,e),J=r(e),v=s(e,"P",{"data-svelte-h":!0}),l(v)!=="svelte-1g95itu"&&(v.innerHTML=ce),K=r(e),A(T.$$.fragment,e),Q=r(e),_=s(e,"P",{"data-svelte-h":!0}),l(_)!=="svelte-1ouqarr"&&(_.innerHTML=pe),V=r(e),A(b.$$.fragment,e),Z=r(e),H=s(e,"P",{"data-svelte-h":!0}),l(H)!=="svelte-5o1vn3"&&(H.innerHTML=me),ee=r(e),z=s(e,"P",{}),he(z).forEach(n),this.h()},h(){ue(f,"name","hf:doc:metadata"),ue(f,"content",_e)},m(e,t){Pe(document.head,f),i(e,E,t),i(e,S,t),i(e,W,t),M(c,e,t),i(e,F,t),i(e,p,t),i(e,D,t),M(m,e,t),i(e,U,t),i(e,h,t),i(e,j,t),i(e,u,t),i(e,N,t),i(e,d,t),i(e,O,t),i(e,g,t),i(e,R,t),M(w,e,t),i(e,Y,t),i(e,$,t),i(e,G,t),M(y,e,t),i(e,X,t),i(e,I,t),i(e,B,t),M(P,e,t),i(e,J,t),i(e,v,t),i(e,K,t),M(T,e,t),i(e,Q,t),i(e,_,t),i(e,V,t),M(b,e,t),i(e,Z,t),i(e,H,t),i(e,ee,t),i(e,z,t),te=!0},p:ge,i(e){te||(x(c.$$.fragment,e),x(m.$$.fragment,e),x(w.$$.fragment,e),x(y.$$.fragment,e),x(P.$$.fragment,e),x(T.$$.fragment,e),x(b.$$.fragment,e),te=!0)},o(e){C(c.$$.fragment,e),C(m.$$.fragment,e),C(w.$$.fragment,e),C(y.$$.fragment,e),C(P.$$.fragment,e),C(T.$$.fragment,e),C(b.$$.fragment,e),te=!1},d(e){e&&(n(E),n(S),n(W),n(F),n(p),n(D),n(U),n(h),n(j),n(u),n(N),n(d),n(O),n(g),n(R),n(Y),n($),n(G),n(X),n(I),n(B),n(J),n(v),n(K),n(Q),n(_),n(V),n(Z),n(H),n(ee),n(z)),n(f),k(c,e),k(m,e),k(w,e),k(y,e),k(P,e),k(T,e),k(b,e)}}}const _e='{"title":"Inference API","local":"inference-api","sections":[{"title":"What technology do you use to power the inference API?","local":"what-technology-do-you-use-to-power-the-inference-api","sections":[],"depth":2},{"title":"How can I turn off the inference API for my model?","local":"how-can-i-turn-off-the-inference-api-for-my-model","sections":[],"depth":2},{"title":"Why don’t I see an inference widget or why can’t I use the inference API?","local":"why-dont-i-see-an-inference-widget-or-why-cant-i-use-the-inference-api","sections":[],"depth":2},{"title":"Can I send large volumes of requests? Can I get accelerated APIs?","local":"can-i-send-large-volumes-of-requests-can-i-get-accelerated-apis","sections":[],"depth":2},{"title":"How can I see my usage?","local":"how-can-i-see-my-usage","sections":[],"depth":2},{"title":"Is there programmatic access to the Inference API?","local":"is-there-programmatic-access-to-the-inference-api","sections":[],"depth":2}],"depth":1}';function be(ne){return we(()=>{new URLSearchParams(window.location.search).get("fw"),window.hfDocGoto=ve}),[]}class Me extends $e{constructor(f){super(),ye(this,f,be,Te,de,{})}}export{Me as component};
