import{s as Je,n as Ke,o as Ne}from"../chunks/scheduler.d6170356.js";import{S as Qe,i as Xe,g as s,s as l,r as pe,A as Ze,h as o,f as i,c as n,j as We,u as ve,x as r,k as c,y as et,a,v as be,d as ye,t as we,w as Te}from"../chunks/index.fcd4cc08.js";import{H as _e,g as tt}from"../chunks/Heading.bb9bff2c.js";function it(He){let d,V,F,Y,w,q,T,Le='To upload models to the Hub, you’ll need to create an account at <a href="https://huggingface.co/join" rel="nofollow">Hugging Face</a>. Models on the Hub are <a href="./repositories">Git-based repositories</a>, which give you versioning, branches, discoverability and sharing features, integration with over a dozen libraries, and more! You have control over what you want to upload to your repository, which could include checkpoints, configs, and any other files.',B,_,xe='You can link repositories with an individual, such as <a href="https://huggingface.co/osanseviero/fashion_brands_patterns" rel="nofollow">osanseviero/fashion_brands_patterns</a>, or with an organization, such as <a href="https://huggingface.co/facebook/bart-large-xsum" rel="nofollow">facebook/bart-large-xsum</a>. Organizations can collect models related to a company, community, or library! If you choose an organization, the model will be featured on the organization’s page, and every member of the organization will have the ability to contribute to the repository. You can create a new organization <a href="https://huggingface.co/organizations/new" rel="nofollow">here</a>.',S,H,Me='There are several ways to upload models to the Hub, described below. We suggest adding a <a href="./model-cards">Model Card</a> to your repo to document your model.',E,L,R,x,ke='To create a brand new model repository, visit <a href="http://huggingface.co/new" rel="nofollow">huggingface.co/new</a>. Then follow these steps:',W,M,Ce="<li>In the “Files and versions” tab, select “Add File” and specify “Upload File”:</li>",J,u,$e='<img class="block dark:hidden" width="300" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/add-file.png"/> <img class="hidden dark:block" width="300" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/add-file-dark.png"/>',K,h,Pe="<li>From there, select a file from your computer to upload and leave a helpful commit message to know what you are uploading:</li>",N,g,ze='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/commit-file.png"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/commit-file-dark.png"/>',Q,f,je="<li><p>Afterwards, click <strong>Commit changes</strong> to upload your model to the Hub!</p></li> <li><p>Inspect files and history</p></li>",X,k,Ie="You can check your repository with all the recently added files!",Z,m,Ue='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/repo_with_files.png"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/repo_with_files-dark.png"/>',ee,C,Ae="The UI allows you to explore the model files and commits and to see the diff introduced by each commit:",te,p,Ge='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/explore_history.gif"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/explore_history-dark.gif"/>',ie,v,De="<li>Add metadata</li>",ae,$,Fe="You can add metadata to your model card. You can specify:",le,P,Oe="<li>the type of task this model is for, enabling widgets and the Inference API.</li> <li>the used library (<code>transformers</code>, <code>spaCy</code>, etc.)</li> <li>the language</li> <li>the dataset</li> <li>metrics</li> <li>license</li> <li>a lot more!</li>",ne,z,Ve='Read more about model tags <a href="./model-cards#model-card-metadata">here</a>.',se,b,Ye="<li>Add TensorBoard traces</li>",oe,j,qe='Any repository that contains TensorBoard traces (filenames that contain <code>tfevents</code>) is categorized with the <a href="https://huggingface.co/models?filter=tensorboard" rel="nofollow"><code>TensorBoard</code> tag</a>. As a convention, we suggest that you save traces under the <code>runs/</code> subfolder. The “Training metrics” tab then makes it easy to review charts of the logged variables, like the loss or the accuracy.',re,y,Be='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/tensorboard.png"/> <img class="hidden dark:block" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/tensorboard-dark.png"/>',ce,I,Se='Models trained with 🤗 Transformers will generate <a href="https://huggingface.co/docs/transformers/main_classes/callback#transformers.integrations.TensorBoardCallback" rel="nofollow">TensorBoard traces</a> by default if <a href="https://pypi.org/project/tensorboard/" rel="nofollow"><code>tensorboard</code></a> is installed.',de,U,ue,A,Ee='Since model repos are just Git repositories, you can use Git to push your model files to the Hub. Follow the guide on <a href="repositories-getting-started">Getting Started with Repositories</a> to learn about using the <code>git</code> CLI to commit and push your models.',he,G,ge,D,Re='The rich feature set in the <code>huggingface_hub</code> library allows you to manage repositories, including creating repos and uploading models to the Model Hub. Visit <a href="https://huggingface.co/docs/huggingface_hub/index" rel="nofollow">the client library’s documentation</a> to learn more.',fe,O,me;return w=new _e({props:{title:"Uploading models",local:"uploading-models",headingTag:"h1"}}),L=new _e({props:{title:"Using the web interface",local:"using-the-web-interface",headingTag:"h2"}}),U=new _e({props:{title:"Using Git",local:"using-git",headingTag:"h2"}}),G=new _e({props:{title:"Using the huggingface_hub client library",local:"using-the-huggingfacehub-client-library",headingTag:"h2"}}),{c(){d=s("meta"),V=l(),F=s("p"),Y=l(),pe(w.$$.fragment),q=l(),T=s("p"),T.innerHTML=Le,B=l(),_=s("p"),_.innerHTML=xe,S=l(),H=s("p"),H.innerHTML=Me,E=l(),pe(L.$$.fragment),R=l(),x=s("p"),x.innerHTML=ke,W=l(),M=s("ol"),M.innerHTML=Ce,J=l(),u=s("div"),u.innerHTML=$e,K=l(),h=s("ol"),h.innerHTML=Pe,N=l(),g=s("div"),g.innerHTML=ze,Q=l(),f=s("ol"),f.innerHTML=je,X=l(),k=s("p"),k.textContent=Ie,Z=l(),m=s("div"),m.innerHTML=Ue,ee=l(),C=s("p"),C.textContent=Ae,te=l(),p=s("div"),p.innerHTML=Ge,ie=l(),v=s("ol"),v.innerHTML=De,ae=l(),$=s("p"),$.textContent=Fe,le=l(),P=s("ul"),P.innerHTML=Oe,ne=l(),z=s("p"),z.innerHTML=Ve,se=l(),b=s("ol"),b.innerHTML=Ye,oe=l(),j=s("p"),j.innerHTML=qe,re=l(),y=s("div"),y.innerHTML=Be,ce=l(),I=s("p"),I.innerHTML=Se,de=l(),pe(U.$$.fragment),ue=l(),A=s("p"),A.innerHTML=Ee,he=l(),pe(G.$$.fragment),ge=l(),D=s("p"),D.innerHTML=Re,fe=l(),O=s("p"),this.h()},l(e){const t=Ze("svelte-u9bgzb",document.head);d=o(t,"META",{name:!0,content:!0}),t.forEach(i),V=n(e),F=o(e,"P",{}),We(F).forEach(i),Y=n(e),ve(w.$$.fragment,e),q=n(e),T=o(e,"P",{"data-svelte-h":!0}),r(T)!=="svelte-vjnqfr"&&(T.innerHTML=Le),B=n(e),_=o(e,"P",{"data-svelte-h":!0}),r(_)!=="svelte-15hyfq9"&&(_.innerHTML=xe),S=n(e),H=o(e,"P",{"data-svelte-h":!0}),r(H)!=="svelte-1kntkzj"&&(H.innerHTML=Me),E=n(e),ve(L.$$.fragment,e),R=n(e),x=o(e,"P",{"data-svelte-h":!0}),r(x)!=="svelte-x37mbe"&&(x.innerHTML=ke),W=n(e),M=o(e,"OL",{"data-svelte-h":!0}),r(M)!=="svelte-m7dyke"&&(M.innerHTML=Ce),J=n(e),u=o(e,"DIV",{class:!0,"data-svelte-h":!0}),r(u)!=="svelte-1kwaicp"&&(u.innerHTML=$e),K=n(e),h=o(e,"OL",{start:!0,"data-svelte-h":!0}),r(h)!=="svelte-bnx7wi"&&(h.innerHTML=Pe),N=n(e),g=o(e,"DIV",{class:!0,"data-svelte-h":!0}),r(g)!=="svelte-1yhipjn"&&(g.innerHTML=ze),Q=n(e),f=o(e,"OL",{start:!0,"data-svelte-h":!0}),r(f)!=="svelte-1g8w05a"&&(f.innerHTML=je),X=n(e),k=o(e,"P",{"data-svelte-h":!0}),r(k)!=="svelte-197c7zs"&&(k.textContent=Ie),Z=n(e),m=o(e,"DIV",{class:!0,"data-svelte-h":!0}),r(m)!=="svelte-1vobd2z"&&(m.innerHTML=Ue),ee=n(e),C=o(e,"P",{"data-svelte-h":!0}),r(C)!=="svelte-9fow57"&&(C.textContent=Ae),te=n(e),p=o(e,"DIV",{class:!0,"data-svelte-h":!0}),r(p)!=="svelte-cdui6d"&&(p.innerHTML=Ge),ie=n(e),v=o(e,"OL",{start:!0,"data-svelte-h":!0}),r(v)!=="svelte-j2g6d3"&&(v.innerHTML=De),ae=n(e),$=o(e,"P",{"data-svelte-h":!0}),r($)!=="svelte-gkc8cy"&&($.textContent=Fe),le=n(e),P=o(e,"UL",{"data-svelte-h":!0}),r(P)!=="svelte-tl31d8"&&(P.innerHTML=Oe),ne=n(e),z=o(e,"P",{"data-svelte-h":!0}),r(z)!=="svelte-6zfhus"&&(z.innerHTML=Ve),se=n(e),b=o(e,"OL",{start:!0,"data-svelte-h":!0}),r(b)!=="svelte-1r5hl08"&&(b.innerHTML=Ye),oe=n(e),j=o(e,"P",{"data-svelte-h":!0}),r(j)!=="svelte-duz775"&&(j.innerHTML=qe),re=n(e),y=o(e,"DIV",{class:!0,"data-svelte-h":!0}),r(y)!=="svelte-rlnnzb"&&(y.innerHTML=Be),ce=n(e),I=o(e,"P",{"data-svelte-h":!0}),r(I)!=="svelte-hpisbu"&&(I.innerHTML=Se),de=n(e),ve(U.$$.fragment,e),ue=n(e),A=o(e,"P",{"data-svelte-h":!0}),r(A)!=="svelte-r7cqqx"&&(A.innerHTML=Ee),he=n(e),ve(G.$$.fragment,e),ge=n(e),D=o(e,"P",{"data-svelte-h":!0}),r(D)!=="svelte-1tumzr5"&&(D.innerHTML=Re),fe=n(e),O=o(e,"P",{}),We(O).forEach(i),this.h()},h(){c(d,"name","hf:doc:metadata"),c(d,"content",at),c(u,"class","flex justify-center"),c(h,"start","2"),c(g,"class","flex justify-center"),c(f,"start","3"),c(m,"class","flex justify-center"),c(p,"class","flex justify-center"),c(v,"start","5"),c(b,"start","6"),c(y,"class","flex justify-center")},m(e,t){et(document.head,d),a(e,V,t),a(e,F,t),a(e,Y,t),be(w,e,t),a(e,q,t),a(e,T,t),a(e,B,t),a(e,_,t),a(e,S,t),a(e,H,t),a(e,E,t),be(L,e,t),a(e,R,t),a(e,x,t),a(e,W,t),a(e,M,t),a(e,J,t),a(e,u,t),a(e,K,t),a(e,h,t),a(e,N,t),a(e,g,t),a(e,Q,t),a(e,f,t),a(e,X,t),a(e,k,t),a(e,Z,t),a(e,m,t),a(e,ee,t),a(e,C,t),a(e,te,t),a(e,p,t),a(e,ie,t),a(e,v,t),a(e,ae,t),a(e,$,t),a(e,le,t),a(e,P,t),a(e,ne,t),a(e,z,t),a(e,se,t),a(e,b,t),a(e,oe,t),a(e,j,t),a(e,re,t),a(e,y,t),a(e,ce,t),a(e,I,t),a(e,de,t),be(U,e,t),a(e,ue,t),a(e,A,t),a(e,he,t),be(G,e,t),a(e,ge,t),a(e,D,t),a(e,fe,t),a(e,O,t),me=!0},p:Ke,i(e){me||(ye(w.$$.fragment,e),ye(L.$$.fragment,e),ye(U.$$.fragment,e),ye(G.$$.fragment,e),me=!0)},o(e){we(w.$$.fragment,e),we(L.$$.fragment,e),we(U.$$.fragment,e),we(G.$$.fragment,e),me=!1},d(e){e&&(i(V),i(F),i(Y),i(q),i(T),i(B),i(_),i(S),i(H),i(E),i(R),i(x),i(W),i(M),i(J),i(u),i(K),i(h),i(N),i(g),i(Q),i(f),i(X),i(k),i(Z),i(m),i(ee),i(C),i(te),i(p),i(ie),i(v),i(ae),i($),i(le),i(P),i(ne),i(z),i(se),i(b),i(oe),i(j),i(re),i(y),i(ce),i(I),i(de),i(ue),i(A),i(he),i(ge),i(D),i(fe),i(O)),i(d),Te(w,e),Te(L,e),Te(U,e),Te(G,e)}}}const at='{"title":"Uploading models","local":"uploading-models","sections":[{"title":"Using the web interface","local":"using-the-web-interface","sections":[],"depth":2},{"title":"Using Git","local":"using-git","sections":[],"depth":2},{"title":"Using the huggingface_hub client library","local":"using-the-huggingfacehub-client-library","sections":[],"depth":2}],"depth":1}';function lt(He){return Ne(()=>{new URLSearchParams(window.location.search).get("fw"),window.hfDocGoto=tt}),[]}class rt extends Qe{constructor(d){super(),Xe(this,d,lt,it,Je,{})}}export{rt as component};
