import{s as De,n as Re,o as Ve}from"../chunks/scheduler.d6170356.js";import{S as Ke,i as et,g as s,s as a,r,A as tt,h as o,f as n,c as l,j as Qe,u as f,x as u,k as Fe,y as nt,a as i,v as c,d as y,t as h,w as m}from"../chunks/index.fcd4cc08.js";import{H as E,g as it}from"../chunks/Heading.bb9bff2c.js";import{C as Te}from"../chunks/CodeBlock.7b16bdef.js";function at(_e){let p,Q,X,F,d,D,g,be="You can access and write data in repositories on huggingface.co using SSH (Secure Shell Protocol). When you connect via SSH, you authenticate using a private key file on your local machine.",R,S,Me="Some actions, such as pushing changes, or cloning private repositories, will require you to upload your SSH public key to your account on huggingface.co.",V,$,Pe="You can use a pre-existing SSH key, or generate a new one specifically for huggingface.co.",K,v,ee,k,Le="If you have an existing SSH key, you can use that key to authenticate Git operations over SSH.",te,x,Ie="SSH keys are usually located under <code>~/.ssh</code> on Mac &amp; Linux, and under <code>C:\\\\Users\\\\&lt;username&gt;\\\\.ssh</code> on Windows. List files under that directory and look for files of the form:",ne,w,je="<li>id_rsa.pub</li> <li>id_ecdsa.pub</li> <li>id_ed25519.pub</li>",ie,H,We="Those files contain your SSH public key.",ae,C,Je='If you don’t have such file under <code>~/.ssh</code>, you will have to <a href="#generating-a-new-ssh-keypair">generate a new key</a>. Otherwise, you can <a href="#add-a-ssh-key-to-your-account">add your existing SSH public key(s) to your huggingface.co account</a>.',le,T,se,_,Ge="If you don’t have any SSH keys on your machine, you can use <code>ssh-keygen</code> to generate a new SSH key pair (public + private keys):",oe,b,ue,M,Ue="We recommend entering a passphrase when you are prompted to. A passphrase is an extra layer of security: it is a password that will be prompted whenever you use your SSH key.",pe,P,qe="Once your new key is generated, add it to your SSH agent with <code>ssh-add</code>:",re,L,fe,I,Ae="If you chose a different location than the default to store your SSH key, you would have to replace <code>~/.ssh/id_ed25519</code> with the file location you used.",ce,j,ye,W,Ne='To access private repositories with SSH, or to push changes via SSH, you will need to add your SSH public key to your huggingface.co account. You can manage your SSH keys <a href="https://huggingface.co/settings/keys" rel="nofollow">in your user settings</a>.',he,J,Ye="To add a SSH key to your account, click on the “Add SSH key” button.",me,G,ze="Then, enter a name for this key (for example, “Personal computer”), and copy and paste the content of your <strong>public</strong> SSH key in the area below. The public key is located in the <code>~/.ssh/id_XXXX.pub</code> file you found or generated in the previous steps.",de,U,Be="Click on “Add key”, and voilà! You have added a SSH key to your huggingface.co account.",ge,q,Se,A,Oe="Once you have added your SSH key to your huggingface.co account, you can test that the connection works as expected.",$e,N,Xe="In a terminal, run:",ve,Y,ke,z,Ze="If you see a message with your username, congrats! Everything went well, you are ready to use git over SSH.",xe,B,Ee="Otherwise, if the message states something like the following, make sure your SSH key is actually used by your SSH agent.",we,O,He,Z,Ce;return d=new E({props:{title:"Git over SSH",local:"git-over-ssh",headingTag:"h1"}}),v=new E({props:{title:"Checking for existing SSH keys",local:"checking-for-existing-ssh-keys",headingTag:"h2"}}),T=new E({props:{title:"Generating a new SSH keypair",local:"generating-a-new-ssh-keypair",headingTag:"h2"}}),b=new Te({props:{code:"JTI0JTIwc3NoLWtleWdlbiUyMC10JTIwZWQyNTUxOSUyMC1DJTIwJTIyeW91ci5lbWFpbCU0MGV4YW1wbGUuY28lMjI=",highlighted:'<span class="hljs-variable">$ </span>ssh-keygen -t ed25519 -C <span class="hljs-string">&quot;your.email@example.co&quot;</span>',wrap:!1}}),L=new Te({props:{code:"JTI0JTIwc3NoLWFkZCUyMH4lMkYuc3NoJTJGaWRfZWQyNTUxOQ==",highlighted:'$ ssh-add ~<span class="hljs-regexp">/.ssh/i</span>d_ed25519',wrap:!1}}),j=new E({props:{title:"Add a SSH key to your account",local:"add-a-ssh-key-to-your-account",headingTag:"h2"}}),q=new E({props:{title:"Testing your SSH authentication",local:"testing-your-ssh-authentication",headingTag:"h2"}}),Y=new Te({props:{code:"JTI0JTIwc3NoJTIwLVQlMjBnaXQlNDBoZi5jbw==",highlighted:'<span class="hljs-variable">$ </span>ssh -T git<span class="hljs-variable">@hf</span>.co',wrap:!1}}),O=new Te({props:{code:"SGklMjBhbm9ueW1vdXMlMkMlMjB3ZWxjb21lJTIwdG8lMjBIdWdnaW5nJTIwRmFjZS4=",highlighted:'Hi anonymous, welcome <span class="hljs-keyword">to</span> Hugging Face.',wrap:!1}}),{c(){p=s("meta"),Q=a(),X=s("p"),F=a(),r(d.$$.fragment),D=a(),g=s("p"),g.textContent=be,R=a(),S=s("p"),S.textContent=Me,V=a(),$=s("p"),$.textContent=Pe,K=a(),r(v.$$.fragment),ee=a(),k=s("p"),k.textContent=Le,te=a(),x=s("p"),x.innerHTML=Ie,ne=a(),w=s("ul"),w.innerHTML=je,ie=a(),H=s("p"),H.textContent=We,ae=a(),C=s("p"),C.innerHTML=Je,le=a(),r(T.$$.fragment),se=a(),_=s("p"),_.innerHTML=Ge,oe=a(),r(b.$$.fragment),ue=a(),M=s("p"),M.textContent=Ue,pe=a(),P=s("p"),P.innerHTML=qe,re=a(),r(L.$$.fragment),fe=a(),I=s("p"),I.innerHTML=Ae,ce=a(),r(j.$$.fragment),ye=a(),W=s("p"),W.innerHTML=Ne,he=a(),J=s("p"),J.textContent=Ye,me=a(),G=s("p"),G.innerHTML=ze,de=a(),U=s("p"),U.textContent=Be,ge=a(),r(q.$$.fragment),Se=a(),A=s("p"),A.textContent=Oe,$e=a(),N=s("p"),N.textContent=Xe,ve=a(),r(Y.$$.fragment),ke=a(),z=s("p"),z.textContent=Ze,xe=a(),B=s("p"),B.textContent=Ee,we=a(),r(O.$$.fragment),He=a(),Z=s("p"),this.h()},l(e){const t=tt("svelte-u9bgzb",document.head);p=o(t,"META",{name:!0,content:!0}),t.forEach(n),Q=l(e),X=o(e,"P",{}),Qe(X).forEach(n),F=l(e),f(d.$$.fragment,e),D=l(e),g=o(e,"P",{"data-svelte-h":!0}),u(g)!=="svelte-pv2q7"&&(g.textContent=be),R=l(e),S=o(e,"P",{"data-svelte-h":!0}),u(S)!=="svelte-12zno3k"&&(S.textContent=Me),V=l(e),$=o(e,"P",{"data-svelte-h":!0}),u($)!=="svelte-1oi3mab"&&($.textContent=Pe),K=l(e),f(v.$$.fragment,e),ee=l(e),k=o(e,"P",{"data-svelte-h":!0}),u(k)!=="svelte-wo69ex"&&(k.textContent=Le),te=l(e),x=o(e,"P",{"data-svelte-h":!0}),u(x)!=="svelte-1vn77uc"&&(x.innerHTML=Ie),ne=l(e),w=o(e,"UL",{"data-svelte-h":!0}),u(w)!=="svelte-9ec213"&&(w.innerHTML=je),ie=l(e),H=o(e,"P",{"data-svelte-h":!0}),u(H)!=="svelte-rxwk1h"&&(H.textContent=We),ae=l(e),C=o(e,"P",{"data-svelte-h":!0}),u(C)!=="svelte-1izf4nr"&&(C.innerHTML=Je),le=l(e),f(T.$$.fragment,e),se=l(e),_=o(e,"P",{"data-svelte-h":!0}),u(_)!=="svelte-16zb60u"&&(_.innerHTML=Ge),oe=l(e),f(b.$$.fragment,e),ue=l(e),M=o(e,"P",{"data-svelte-h":!0}),u(M)!=="svelte-16jpzeg"&&(M.textContent=Ue),pe=l(e),P=o(e,"P",{"data-svelte-h":!0}),u(P)!=="svelte-1n5x7wk"&&(P.innerHTML=qe),re=l(e),f(L.$$.fragment,e),fe=l(e),I=o(e,"P",{"data-svelte-h":!0}),u(I)!=="svelte-1uea7v7"&&(I.innerHTML=Ae),ce=l(e),f(j.$$.fragment,e),ye=l(e),W=o(e,"P",{"data-svelte-h":!0}),u(W)!=="svelte-l074ey"&&(W.innerHTML=Ne),he=l(e),J=o(e,"P",{"data-svelte-h":!0}),u(J)!=="svelte-1xhgak6"&&(J.textContent=Ye),me=l(e),G=o(e,"P",{"data-svelte-h":!0}),u(G)!=="svelte-1mk46zm"&&(G.innerHTML=ze),de=l(e),U=o(e,"P",{"data-svelte-h":!0}),u(U)!=="svelte-1ovbcbu"&&(U.textContent=Be),ge=l(e),f(q.$$.fragment,e),Se=l(e),A=o(e,"P",{"data-svelte-h":!0}),u(A)!=="svelte-1q4osqo"&&(A.textContent=Oe),$e=l(e),N=o(e,"P",{"data-svelte-h":!0}),u(N)!=="svelte-36tcl"&&(N.textContent=Xe),ve=l(e),f(Y.$$.fragment,e),ke=l(e),z=o(e,"P",{"data-svelte-h":!0}),u(z)!=="svelte-m4gai5"&&(z.textContent=Ze),xe=l(e),B=o(e,"P",{"data-svelte-h":!0}),u(B)!=="svelte-iniojm"&&(B.textContent=Ee),we=l(e),f(O.$$.fragment,e),He=l(e),Z=o(e,"P",{}),Qe(Z).forEach(n),this.h()},h(){Fe(p,"name","hf:doc:metadata"),Fe(p,"content",lt)},m(e,t){nt(document.head,p),i(e,Q,t),i(e,X,t),i(e,F,t),c(d,e,t),i(e,D,t),i(e,g,t),i(e,R,t),i(e,S,t),i(e,V,t),i(e,$,t),i(e,K,t),c(v,e,t),i(e,ee,t),i(e,k,t),i(e,te,t),i(e,x,t),i(e,ne,t),i(e,w,t),i(e,ie,t),i(e,H,t),i(e,ae,t),i(e,C,t),i(e,le,t),c(T,e,t),i(e,se,t),i(e,_,t),i(e,oe,t),c(b,e,t),i(e,ue,t),i(e,M,t),i(e,pe,t),i(e,P,t),i(e,re,t),c(L,e,t),i(e,fe,t),i(e,I,t),i(e,ce,t),c(j,e,t),i(e,ye,t),i(e,W,t),i(e,he,t),i(e,J,t),i(e,me,t),i(e,G,t),i(e,de,t),i(e,U,t),i(e,ge,t),c(q,e,t),i(e,Se,t),i(e,A,t),i(e,$e,t),i(e,N,t),i(e,ve,t),c(Y,e,t),i(e,ke,t),i(e,z,t),i(e,xe,t),i(e,B,t),i(e,we,t),c(O,e,t),i(e,He,t),i(e,Z,t),Ce=!0},p:Re,i(e){Ce||(y(d.$$.fragment,e),y(v.$$.fragment,e),y(T.$$.fragment,e),y(b.$$.fragment,e),y(L.$$.fragment,e),y(j.$$.fragment,e),y(q.$$.fragment,e),y(Y.$$.fragment,e),y(O.$$.fragment,e),Ce=!0)},o(e){h(d.$$.fragment,e),h(v.$$.fragment,e),h(T.$$.fragment,e),h(b.$$.fragment,e),h(L.$$.fragment,e),h(j.$$.fragment,e),h(q.$$.fragment,e),h(Y.$$.fragment,e),h(O.$$.fragment,e),Ce=!1},d(e){e&&(n(Q),n(X),n(F),n(D),n(g),n(R),n(S),n(V),n($),n(K),n(ee),n(k),n(te),n(x),n(ne),n(w),n(ie),n(H),n(ae),n(C),n(le),n(se),n(_),n(oe),n(ue),n(M),n(pe),n(P),n(re),n(fe),n(I),n(ce),n(ye),n(W),n(he),n(J),n(me),n(G),n(de),n(U),n(ge),n(Se),n(A),n($e),n(N),n(ve),n(ke),n(z),n(xe),n(B),n(we),n(He),n(Z)),n(p),m(d,e),m(v,e),m(T,e),m(b,e),m(L,e),m(j,e),m(q,e),m(Y,e),m(O,e)}}}const lt='{"title":"Git over SSH","local":"git-over-ssh","sections":[{"title":"Checking for existing SSH keys","local":"checking-for-existing-ssh-keys","sections":[],"depth":2},{"title":"Generating a new SSH keypair","local":"generating-a-new-ssh-keypair","sections":[],"depth":2},{"title":"Add a SSH key to your account","local":"add-a-ssh-key-to-your-account","sections":[],"depth":2},{"title":"Testing your SSH authentication","local":"testing-your-ssh-authentication","sections":[],"depth":2}],"depth":1}';function st(_e){return Ve(()=>{new URLSearchParams(window.location.search).get("fw"),window.hfDocGoto=it}),[]}class ft extends Ke{constructor(p){super(),et(this,p,st,at,De,{})}}export{ft as component};
